OpenAPI SpecificationJSON
API Reference

Trigger

A Trigger object represents a condition that will trigger its related object's actions when an event occurs.

A Trigger with trigger event type of email_with_no_processable_attachments can be only retrieved. It can not be created, updated nor deleted.

Trigger

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the trigger

url*
read-only
string (url)

URL of the trigger

queue*
URL

Queue URL.

event*
string

Event that will trigger the trigger (see trigger event types)

condition*
object

A subset of MongoDB Query Language (see trigger condition)

Default: {}
email_templates*
list[string (url)]

URLs of the linked email templates

delete_recommendations*
list[string (url)]

URLs of the linked delete recommendations

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

List triggers

GET api / v1 / triggers

Retrieve all trigger objects.

GET
/api/v1/triggers
curl -X GET "https://example.rossum.app/api/v1/triggers"
{
  "results": [
    {
      "id": 234,
      "url": "https://example.rossum.app/api/v1/triggers/234",
      "queue": "https://example.rossum.app/api/v1/queues/8198",
      "event": "annotation_imported",
      "condition": {},
      "email_templates": [
        "https://example.rossum.app/api/v1/email_templates/123",
        "https://example.rossum.app/api/v1/email_templates/321"
      ],
      "delete_recommendations": [
        "https://example.rossum.app/api/v1/delete_recommendations/123",
        "https://example.rossum.app/api/v1/delete_recommendations/321"
      ],
      "modified_by": "https://example.rossum.app/api/v1/users/10775",
      "modified_at": "2021-04-26T10:08:03.856648Z"
    }
  ],
  "pagination": {
    "next": null,
    "previous": null
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
results
id*
read-only
integer (int64)

ID of the trigger

url*
read-only
string (url)

URL of the trigger

queue*
URL

Queue URL.

event*
string

Event that will trigger the trigger (see trigger event types)

condition*
object

A subset of MongoDB Query Language (see trigger condition)

Default: {}
email_templates*
list[string (url)]

URLs of the linked email templates

delete_recommendations*
list[string (url)]

URLs of the linked delete recommendations

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

pagination
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Create trigger

POST api / v1 / triggers

Create new trigger object.

POST
/api/v1/triggers
curl -X POST "https://example.rossum.app/api/v1/triggers" \  -H "Content-Type: application/json" \  -d '{    "queue": "https://example.rossum.app/api/v1/queues/8198",    "event": "annotation_imported"  }'
{
  "id": 234,
  "url": "https://example.rossum.app/api/v1/triggers/234",
  "queue": "https://example.rossum.app/api/v1/queues/8198",
  "event": "annotation_imported",
  "condition": {},
  "email_templates": [
    "https://example.rossum.app/api/v1/email_templates/123",
    "https://example.rossum.app/api/v1/email_templates/321"
  ],
  "delete_recommendations": [
    "https://example.rossum.app/api/v1/delete_recommendations/123",
    "https://example.rossum.app/api/v1/delete_recommendations/321"
  ],
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
queue*
URL

Queue URL.

event*
string

Event that will trigger the trigger (see trigger event types)

condition
object

A subset of MongoDB Query Language (see trigger condition)

Default: {}
email_templates
list[string (url)]

URLs of the linked email templates

delete_recommendations
list[string (url)]

URLs of the linked delete recommendations

Response

201Created

Created

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the trigger

url*
read-only
string (url)

URL of the trigger

queue*
URL

Queue URL.

event*
string

Event that will trigger the trigger (see trigger event types)

condition*
object

A subset of MongoDB Query Language (see trigger condition)

Default: {}
email_templates*
list[string (url)]

URLs of the linked email templates

delete_recommendations*
list[string (url)]

URLs of the linked delete recommendations

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve trigger

GET api / v1 / triggers / {triggerID}

Get a trigger object.

GET
/api/v1/triggers/{triggerID}
curl -X GET "https://example.rossum.app/api/v1/triggers/1234"
{
  "id": 234,
  "url": "https://example.rossum.app/api/v1/triggers/234",
  "queue": "https://example.rossum.app/api/v1/queues/8198",
  "event": "annotation_imported",
  "condition": {},
  "email_templates": [
    "https://example.rossum.app/api/v1/email_templates/123",
    "https://example.rossum.app/api/v1/email_templates/321"
  ],
  "delete_recommendations": [
    "https://example.rossum.app/api/v1/delete_recommendations/123",
    "https://example.rossum.app/api/v1/delete_recommendations/321"
  ],
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the trigger

url*
read-only
string (url)

URL of the trigger

queue*
URL

Queue URL.

event*
string

Event that will trigger the trigger (see trigger event types)

condition*
object

A subset of MongoDB Query Language (see trigger condition)

Default: {}
email_templates*
list[string (url)]

URLs of the linked email templates

delete_recommendations*
list[string (url)]

URLs of the linked delete recommendations

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Partial update trigger

PATCH api / v1 / triggers / {triggerID}

Update part of a trigger object.

PATCH
/api/v1/triggers/{triggerID}
curl -X PATCH "https://example.rossum.app/api/v1/triggers/1234" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 234,
  "url": "https://example.rossum.app/api/v1/triggers/234",
  "queue": "https://example.rossum.app/api/v1/queues/8198",
  "event": "annotation_imported",
  "condition": {},
  "email_templates": [
    "https://example.rossum.app/api/v1/email_templates/123",
    "https://example.rossum.app/api/v1/email_templates/321"
  ],
  "delete_recommendations": [
    "https://example.rossum.app/api/v1/delete_recommendations/123",
    "https://example.rossum.app/api/v1/delete_recommendations/321"
  ],
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
queue
URL

Queue URL.

event
string

Event that will trigger the trigger (see trigger event types)

condition
object

A subset of MongoDB Query Language (see trigger condition)

Default: {}
email_templates
list[string (url)]

URLs of the linked email templates

delete_recommendations
list[string (url)]

URLs of the linked delete recommendations

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the trigger

url*
read-only
string (url)

URL of the trigger

queue*
URL

Queue URL.

event*
string

Event that will trigger the trigger (see trigger event types)

condition*
object

A subset of MongoDB Query Language (see trigger condition)

Default: {}
email_templates*
list[string (url)]

URLs of the linked email templates

delete_recommendations*
list[string (url)]

URLs of the linked delete recommendations

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Delete trigger

DELETE api / v1 / triggers / {triggerID}

Delete a trigger object.

Trigger of email_with_no_processable_attachments event cannot be deleted.

DELETE
/api/v1/triggers/{triggerID}
curl -X DELETE "https://example.rossum.app/api/v1/triggers/1234"
Empty
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

204No Content

No Content

No response body.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Update trigger

PUT api / v1 / triggers / {triggerID}

Update trigger object.

PUT
/api/v1/triggers/{triggerID}
curl -X PUT "https://example.rossum.app/api/v1/triggers/1234" \  -H "Content-Type: application/json" \  -d '{    "queue": "https://example.rossum.app/api/v1/queues/8198",    "event": "annotation_imported"  }'
{
  "id": 234,
  "url": "https://example.rossum.app/api/v1/triggers/234",
  "queue": "https://example.rossum.app/api/v1/queues/8198",
  "event": "annotation_imported",
  "condition": {},
  "email_templates": [
    "https://example.rossum.app/api/v1/email_templates/123",
    "https://example.rossum.app/api/v1/email_templates/321"
  ],
  "delete_recommendations": [
    "https://example.rossum.app/api/v1/delete_recommendations/123",
    "https://example.rossum.app/api/v1/delete_recommendations/321"
  ],
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
queue*
URL

Queue URL.

event*
string

Event that will trigger the trigger (see trigger event types)

condition
object

A subset of MongoDB Query Language (see trigger condition)

Default: {}
email_templates
list[string (url)]

URLs of the linked email templates

delete_recommendations
list[string (url)]

URLs of the linked delete recommendations

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the trigger

url*
read-only
string (url)

URL of the trigger

queue*
URL

Queue URL.

event*
string

Event that will trigger the trigger (see trigger event types)

condition*
object

A subset of MongoDB Query Language (see trigger condition)

Default: {}
email_templates*
list[string (url)]

URLs of the linked email templates

delete_recommendations*
list[string (url)]

URLs of the linked delete recommendations

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error